updated exim - now can't login to squirrelmail or horde

Jeff-C

Well-Known Member
Mar 16, 2004
116
0
166
Due to the exim security hole, I updated exim via the following instructions:

/scripts/updated
/scripts/exim4

This updated exim to the current version.

(I also ran the cpanel update to see if stable might have the fix, which didn't increment the stable build but did run up2date which updated a few things on RHE 3.0 that were new this week.)

Today I found I can no longer login to either squirrelmail or horde. Luckily, neomail still works, so I turned that on temporarily (webmail of choice was squirrelmail previously.)

As of today, logged in to any users cpanel (or logged into their domain.com/webmail as that user) if I click on neomail it works fine.

If I click on squirrelmail, I now get:
SquirrelMail version 1.4.0
By the SquirrelMail Development Team
ERROR
Unknown user or password incorrect.
Go to the login page

If I click on go to the login page I get the same error - seems there is no way out.

if I click on horde, I now get a request for login, followed by:
Login failed for some reason. Most likely your username or password was entered incorrectly.

Any ideas on what might be wrong following running the exim upgrade and RHE 3.0 up2date yesterday?

(Edit: Cpanel Version is still 9.2.0-STABLE 25 exept for the manual exim update above.)
 
Last edited:

Jeff-C

Well-Known Member
Mar 16, 2004
116
0
166
cp /usr/local/cpanel/3rdparty/bin/imapd /usr/sbin
fixed it for me.

Thanks very much to the folks in this forum in another thread for the solution.
 

nickn

Well-Known Member
PartnerNOC
Jun 15, 2003
616
1
168
Try to run this command:

/usr/local/cpanel/3rdparty/bin/php -v

If it comes out with library errors, follow with this command:

/scripts/makecpphp